package com.hzya.frame.plugin.cinvoice.lexmis.entity;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * @description: 迈锐思-火车票
 * @tableName: LEXMISCIV_TRAINTICKET
 * @entityName: LexmiscivTrainticketEntity
 * @author: gjh
 * @history: 1.0
 */
public class LexmiscivTrainticketEntity extends BaseEntity {
    public LexmiscivTrainticketEntity() {

    }

    public LexmiscivTrainticketEntity(String TT_ID, String dataSourceCode) {
        this.TT_ID = TT_ID;
        this.setDataSourceCode(dataSourceCode);
    }

    /**
     * 无备注
     */
    private String TT_ID;
    /**
     * 无备注
     */
    private String TT_CODE;
    /**
     * 无备注
     */
    private String TT_NO;
    /**
     * 无备注
     */
    private String TT_FSTATION;
    /**
     * 无备注
     */
    private String TT_TSTATION;
    /**
     * 无备注
     */
    private BigDecimal TT_AMOUNT;
    /**
     * 无备注
     */
    private String TT_TAXRATE;
    /**
     * 无备注
     */
    private BigDecimal TT_TAXRATEAMOUNT;
    /**
     * 无备注
     */
    private BigDecimal TT_NOTAXAMOUNT;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date TT_DATE;
    /**
     * 无备注
     */
    private String TT_TIME;
    /**
     * 无备注
     */
    private String TT_SERIALNO;
    /**
     * 无备注
     */
    private String TT_IDNO;
    /**
     * 无备注
     */
    private String TT_CUSTOMER;
    /**
     * 无备注
     */
    private String TT_SALESTATION;
    /**
     * 无备注
     */
    private String TT_SALETYPE;
    /**
     * 无备注
     */
    private String TT_CARRIAGE;
    /**
     * 无备注
     */
    private String TT_SEAT;
    /**
     * 无备注
     */
    private String TT_CLASS;
    /**
     * 无备注
     */
    private String TT_TICKETCHECKING;
    /**
     * 无备注
     */
    private String TT_KEY;
    /**
     * 无备注
     */
    private Integer TT_COUNT;
    /**
     * 无备注
     */
    private String TT_DATETIME;
    /**
     * 无备注
     */
    private String TT_EDATETIME;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date TT_OUTDATE;
    /**
     * 无备注
     */
    private String TT_ELECTRONIC;
    /**
     * 无备注
     */
    private Integer TT_BUSINESSTYPE;
    /**
     * 无备注
     */
    private String TT_BUYERNAME;
    /**
     * 无备注
     */
    private String TT_BUYERTAXNO;
    /**
     * 无备注
     */
    private String TT_ORIGINALINVOICE;


    /**
     * 无备注
     */
    public void setTT_ID(String TT_ID) {
        this.TT_ID = TT_ID;
    }

    /**
     * 无备注
     */
    public String getTT_ID() {
        return TT_ID;
    }


    /**
     * 无备注
     */
    public void setTT_CODE(String TT_CODE) {
        this.TT_CODE = TT_CODE;
    }

    /**
     * 无备注
     */
    public String getTT_CODE() {
        return TT_CODE;
    }


    /**
     * 无备注
     */
    public void setTT_NO(String TT_NO) {
        this.TT_NO = TT_NO;
    }

    /**
     * 无备注
     */
    public String getTT_NO() {
        return TT_NO;
    }


    /**
     * 无备注
     */
    public void setTT_FSTATION(String TT_FSTATION) {
        this.TT_FSTATION = TT_FSTATION;
    }

    /**
     * 无备注
     */
    public String getTT_FSTATION() {
        return TT_FSTATION;
    }


    /**
     * 无备注
     */
    public void setTT_TSTATION(String TT_TSTATION) {
        this.TT_TSTATION = TT_TSTATION;
    }

    /**
     * 无备注
     */
    public String getTT_TSTATION() {
        return TT_TSTATION;
    }


    /**
     * 无备注
     */
    public void setTT_AMOUNT(BigDecimal TT_AMOUNT) {
        this.TT_AMOUNT = TT_AMOUNT;
    }

    /**
     * 无备注
     */
    public BigDecimal getTT_AMOUNT() {
        return TT_AMOUNT;
    }


    /**
     * 无备注
     */
    public void setTT_TAXRATE(String TT_TAXRATE) {
        this.TT_TAXRATE = TT_TAXRATE;
    }

    /**
     * 无备注
     */
    public String getTT_TAXRATE() {
        return TT_TAXRATE;
    }


    /**
     * 无备注
     */
    public void setTT_TAXRATEAMOUNT(BigDecimal TT_TAXRATEAMOUNT) {
        this.TT_TAXRATEAMOUNT = TT_TAXRATEAMOUNT;
    }

    /**
     * 无备注
     */
    public BigDecimal getTT_TAXRATEAMOUNT() {
        return TT_TAXRATEAMOUNT;
    }


    /**
     * 无备注
     */
    public void setTT_NOTAXAMOUNT(BigDecimal TT_NOTAXAMOUNT) {
        this.TT_NOTAXAMOUNT = TT_NOTAXAMOUNT;
    }

    /**
     * 无备注
     */
    public BigDecimal getTT_NOTAXAMOUNT() {
        return TT_NOTAXAMOUNT;
    }


    /**
     * 无备注
     */
    public void setTT_DATE(Date TT_DATE) {
        this.TT_DATE = TT_DATE;
    }

    /**
     * 无备注
     */
    public Date getTT_DATE() {
        return TT_DATE;
    }


    /**
     * 无备注
     */
    public void setTT_TIME(String TT_TIME) {
        this.TT_TIME = TT_TIME;
    }

    /**
     * 无备注
     */
    public String getTT_TIME() {
        return TT_TIME;
    }


    /**
     * 无备注
     */
    public void setTT_SERIALNO(String TT_SERIALNO) {
        this.TT_SERIALNO = TT_SERIALNO;
    }

    /**
     * 无备注
     */
    public String getTT_SERIALNO() {
        return TT_SERIALNO;
    }


    /**
     * 无备注
     */
    public void setTT_IDNO(String TT_IDNO) {
        this.TT_IDNO = TT_IDNO;
    }

    /**
     * 无备注
     */
    public String getTT_IDNO() {
        return TT_IDNO;
    }


    /**
     * 无备注
     */
    public void setTT_CUSTOMER(String TT_CUSTOMER) {
        this.TT_CUSTOMER = TT_CUSTOMER;
    }

    /**
     * 无备注
     */
    public String getTT_CUSTOMER() {
        return TT_CUSTOMER;
    }


    /**
     * 无备注
     */
    public void setTT_SALESTATION(String TT_SALESTATION) {
        this.TT_SALESTATION = TT_SALESTATION;
    }

    /**
     * 无备注
     */
    public String getTT_SALESTATION() {
        return TT_SALESTATION;
    }


    /**
     * 无备注
     */
    public void setTT_SALETYPE(String TT_SALETYPE) {
        this.TT_SALETYPE = TT_SALETYPE;
    }

    /**
     * 无备注
     */
    public String getTT_SALETYPE() {
        return TT_SALETYPE;
    }


    /**
     * 无备注
     */
    public void setTT_CARRIAGE(String TT_CARRIAGE) {
        this.TT_CARRIAGE = TT_CARRIAGE;
    }

    /**
     * 无备注
     */
    public String getTT_CARRIAGE() {
        return TT_CARRIAGE;
    }


    /**
     * 无备注
     */
    public void setTT_SEAT(String TT_SEAT) {
        this.TT_SEAT = TT_SEAT;
    }

    /**
     * 无备注
     */
    public String getTT_SEAT() {
        return TT_SEAT;
    }


    /**
     * 无备注
     */
    public void setTT_CLASS(String TT_CLASS) {
        this.TT_CLASS = TT_CLASS;
    }

    /**
     * 无备注
     */
    public String getTT_CLASS() {
        return TT_CLASS;
    }


    /**
     * 无备注
     */
    public void setTT_TICKETCHECKING(String TT_TICKETCHECKING) {
        this.TT_TICKETCHECKING = TT_TICKETCHECKING;
    }

    /**
     * 无备注
     */
    public String getTT_TICKETCHECKING() {
        return TT_TICKETCHECKING;
    }


    /**
     * 无备注
     */
    public void setTT_KEY(String TT_KEY) {
        this.TT_KEY = TT_KEY;
    }

    /**
     * 无备注
     */
    public String getTT_KEY() {
        return TT_KEY;
    }


    /**
     * 无备注
     */
    public void setTT_COUNT(Integer TT_COUNT) {
        this.TT_COUNT = TT_COUNT;
    }

    /**
     * 无备注
     */
    public Integer getTT_COUNT() {
        return TT_COUNT;
    }


    /**
     * 无备注
     */
    public void setTT_DATETIME(String TT_DATETIME) {
        this.TT_DATETIME = TT_DATETIME;
    }

    /**
     * 无备注
     */
    public String getTT_DATETIME() {
        return TT_DATETIME;
    }


    /**
     * 无备注
     */
    public void setTT_EDATETIME(String TT_EDATETIME) {
        this.TT_EDATETIME = TT_EDATETIME;
    }

    /**
     * 无备注
     */
    public String getTT_EDATETIME() {
        return TT_EDATETIME;
    }


    /**
     * 无备注
     */
    public void setTT_OUTDATE(Date TT_OUTDATE) {
        this.TT_OUTDATE = TT_OUTDATE;
    }

    /**
     * 无备注
     */
    public Date getTT_OUTDATE() {
        return TT_OUTDATE;
    }


	public String getTT_ELECTRONIC() {
		return TT_ELECTRONIC;
	}

	public void setTT_ELECTRONIC(String TT_ELECTRONIC) {
		this.TT_ELECTRONIC = TT_ELECTRONIC;
	}

	/**
     * 无备注
     */
    public void setTT_BUSINESSTYPE(Integer TT_BUSINESSTYPE) {
        this.TT_BUSINESSTYPE = TT_BUSINESSTYPE;
    }

    /**
     * 无备注
     */
    public Integer getTT_BUSINESSTYPE() {
        return TT_BUSINESSTYPE;
    }


    /**
     * 无备注
     */
    public void setTT_BUYERNAME(String TT_BUYERNAME) {
        this.TT_BUYERNAME = TT_BUYERNAME;
    }

    /**
     * 无备注
     */
    public String getTT_BUYERNAME() {
        return TT_BUYERNAME;
    }


    /**
     * 无备注
     */
    public void setTT_BUYERTAXNO(String TT_BUYERTAXNO) {
        this.TT_BUYERTAXNO = TT_BUYERTAXNO;
    }

    /**
     * 无备注
     */
    public String getTT_BUYERTAXNO() {
        return TT_BUYERTAXNO;
    }


    /**
     * 无备注
     */
    public void setTT_ORIGINALINVOICE(String TT_ORIGINALINVOICE) {
        this.TT_ORIGINALINVOICE = TT_ORIGINALINVOICE;
    }

    /**
     * 无备注
     */
    public String getTT_ORIGINALINVOICE() {
        return TT_ORIGINALINVOICE;
    }


}
