package com.hzya.frame.seeyon.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.seeyon.dao.ICtpFileDao;
import com.hzya.frame.seeyon.entity.CtpFileEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description
 * @Author xiangerlin
 * @Date 2024/6/17 15:22
 **/
@Repository()
public class CtpFileDaoImpl extends MybatisGenericDao<CtpFileEntity,String> implements ICtpFileDao {
    @DS("#ctpFileEntity.dataSourceCode")
    @Override
    public List<CtpFileEntity> queryCtpFileById(CtpFileEntity ctpFileEntity) {
        return (List<CtpFileEntity>) super.selectList("queryCtpFileById",ctpFileEntity);
    }
}
