package com.hzya.frame.seeyon.zxbank.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.seeyon.zxbank.entity.ZxBankEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

public interface IZxBankService extends IBaseService<ZxBankEntity,String> {
    /**
     *
     * @content 查询付款单未推送的数据到中台
     * @Param
     * @Return
     * @Author hecan
     * @Date 2025-03-18 9:53
     * **/
    JsonResultEntity queryArchives(JSONObject jsonObject);

    /**
     *
     * @content 查询已推送并且支付结果为空的数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2025-03-18 17:39
     * **/
    JsonResultEntity queryArchivesResult(JSONObject jsonObject);

    /**
     *
     * @content 查询电子回单
     * @Param
     * @Return
     * @Author hecan
     * @Date 2025-03-19 14:18
     * **/
    JsonResultEntity queryArchivesElec(JSONObject jsonObject);
}
